CircleFromPoints

Creates a circle fit through points.

Syntax

Rhino.CircleFromPoints (arrPoints)

Parameters

arrPoints

Required.  Array.  An array of 3-D points.  The array must contain at least three points.

Returns

Array

An array containing the definition of the circle if successful.  The elements of the array are as follows:

Element

Type

Description

0

Array

The plane of the circle.

1

Number

The radius of the circle.

Null

If not successful, or on error.

Example

Dim arrPoints, arrCircle

arrPoints = Rhino.GetPointCoordinates("Select points")

If IsArray(arrPoints) Then

arrCircle = Rhino.CircleFromPoints(arrPoints)

If IsArray(arrCircle) Then

  Rhino.AddCircle arrCircle(0), arrCircle(1)

End If

End If

Also See

AddCircle

IsCircle